> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List perio measurements

> **This endpoint is not yet available in production.**

This endpoint retrieves appointments for a specific location.

- The `q[fetch_modified_since]` is used to capture the delta changes, pass the datetime in UTC



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-vendors.json get /locations/{location_id}/patients/{patient_id}/perio_charts/{perio_chart_id}/perio_measurements
openapi: 3.1.0
info:
  title: TeamCare Vendor API
  version: 1.0.0
  description: Vendor APIs for integrating dental office data. HIPAA-compliant and opt-in.
servers:
  - url: https://app.teamcaredental.com/api/v1/vendors
security:
  - bearerAuth: []
paths:
  /locations/{location_id}/patients/{patient_id}/perio_charts/{perio_chart_id}/perio_measurements:
    get:
      tags:
        - Perio Charts
      summary: List perio measurements
      description: >-
        **This endpoint is not yet available in production.**


        This endpoint retrieves appointments for a specific location.


        - The `q[fetch_modified_since]` is used to capture the delta changes,
        pass the datetime in UTC
      operationId: locations_resources_patients_perio_charts_measurments_measurments
      parameters:
        - name: location_id
          in: path
          required: true
          description: The ID of the location for which patients are to be retrieved.
          schema:
            type: string
        - name: patient_id
          in: path
          required: true
          schema:
            type: string
        - name: perio_chart_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: '2'
                        type:
                          type: string
                          example: perio_measurement
                        attributes:
                          type: object
                          properties:
                            perio_chart_id:
                              type: integer
                              example: 1
                            tooth_number:
                              type: integer
                              example: 2
                            measurements:
                              type: object
                              properties:
                                fg_cf:
                                  type: integer
                                fg_cl:
                                  type: integer
                                fg_df:
                                  type: integer
                                fg_dl:
                                  type: integer
                                fg_mf:
                                  type: integer
                                fg_ml:
                                  type: integer
                                gm_cf:
                                  type: integer
                                  example: 1
                                gm_cl:
                                  type: integer
                                  example: 1
                                gm_df:
                                  type: integer
                                  example: 1
                                gm_dl:
                                  type: integer
                                  example: 1
                                gm_mf:
                                  type: integer
                                  example: 1
                                gm_ml:
                                  type: integer
                                  example: 1
                                mj_cf:
                                  type: integer
                                  example: 5
                                mj_cl:
                                  type: integer
                                  example: 5
                                mj_df:
                                  type: integer
                                  example: 5
                                mj_dl:
                                  type: integer
                                  example: 5
                                mj_mf:
                                  type: integer
                                  example: 5
                                mj_ml:
                                  type: integer
                                  example: 5
                                pd_cf:
                                  type: integer
                                  example: 2
                                pd_cl:
                                  type: integer
                                  example: 2
                                pd_df:
                                  type: integer
                                  example: 3
                                pd_dl:
                                  type: integer
                                  example: 3
                                pd_mf:
                                  type: integer
                                  example: 3
                                pd_ml:
                                  type: integer
                                  example: 2
                                missing:
                                  type: boolean
                                  example: false
                                mobility:
                                  type: integer
                                  example: 1
                                plaque_cf:
                                  type: boolean
                                  example: true
                                plaque_cl:
                                  type: boolean
                                  example: false
                                plaque_df:
                                  type: boolean
                                  example: false
                                plaque_dl:
                                  type: boolean
                                  example: false
                                plaque_mf:
                                  type: boolean
                                  example: true
                                plaque_ml:
                                  type: boolean
                                  example: true
                                bleeding_cf:
                                  type: boolean
                                  example: false
                                bleeding_cl:
                                  type: boolean
                                  example: false
                                bleeding_df:
                                  type: boolean
                                  example: true
                                bleeding_dl:
                                  type: boolean
                                  example: true
                                bleeding_mf:
                                  type: boolean
                                  example: true
                                bleeding_ml:
                                  type: boolean
                                  example: false
                                calculus_cf:
                                  type: boolean
                                  example: false
                                calculus_cl:
                                  type: boolean
                                  example: false
                                calculus_df:
                                  type: boolean
                                  example: true
                                calculus_dl:
                                  type: boolean
                                  example: false
                                calculus_mf:
                                  type: boolean
                                  example: false
                                calculus_ml:
                                  type: boolean
                                  example: false
                                suppuration_cf:
                                  type: boolean
                                  example: false
                                suppuration_cl:
                                  type: boolean
                                  example: false
                                suppuration_df:
                                  type: boolean
                                  example: false
                                suppuration_dl:
                                  type: boolean
                                  example: false
                                suppuration_mf:
                                  type: boolean
                                  example: false
                                suppuration_ml:
                                  type: boolean
                                  example: false
                            deleted:
                              type: boolean
                              example: false
                            updated_at:
                              type: string
                              format: date-time
                              example: '2026-07-02T06:23:59.327Z'
                  pagy:
                    type: object
                    properties:
                      total:
                        type: integer
                      items:
                        type: integer
              example:
                data:
                  - id: '2'
                    type: perio_measurement
                    attributes:
                      perio_chart_id: 1
                      tooth_number: 2
                      measurements:
                        fg_cf: 0
                        fg_cl: 0
                        fg_df: 0
                        fg_dl: 0
                        fg_mf: 0
                        fg_ml: 0
                        gm_cf: 1
                        gm_cl: 1
                        gm_df: 1
                        gm_dl: 1
                        gm_mf: 1
                        gm_ml: 1
                        mj_cf: 5
                        mj_cl: 5
                        mj_df: 5
                        mj_dl: 5
                        mj_mf: 5
                        mj_ml: 5
                        pd_cf: 2
                        pd_cl: 2
                        pd_df: 3
                        pd_dl: 3
                        pd_mf: 3
                        pd_ml: 2
                        missing: false
                        mobility: 1
                        plaque_cf: true
                        plaque_cl: false
                        plaque_df: false
                        plaque_dl: false
                        plaque_mf: true
                        plaque_ml: true
                        bleeding_cf: false
                        bleeding_cl: false
                        bleeding_df: true
                        bleeding_dl: true
                        bleeding_mf: true
                        bleeding_ml: false
                        calculus_cf: false
                        calculus_cl: false
                        calculus_df: true
                        calculus_dl: false
                        calculus_mf: false
                        calculus_ml: false
                        suppuration_cf: false
                        suppuration_cl: false
                        suppuration_df: false
                        suppuration_dl: false
                        suppuration_mf: false
                        suppuration_ml: false
                      deleted: false
                      updated_at: '2026-07-02T06:23:59.327Z'
                pagy:
                  total: 0
                  items: 0
        '401':
          description: Missing, invalid or expired token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: not authorized
        '403':
          description: The credential may not access this resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: access Denied
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: resource not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
        '429':
          description: >-
            Concurrency limit exceeded. The request was not executed; retry is
            safe.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
                  sync_type:
                    type: string
                    enum:
                      - initial
                      - incremental
                  max_concurrent_locations:
                    type: integer
                  active_location_ids:
                    type: array
                    items:
                      type: integer
                  retry_after_seconds:
                    type: integer
              example:
                errors: >-
                  Too many locations syncing concurrently. At most 5 locations
                  may have initial sync requests in flight at a time.
                sync_type: initial
                max_concurrent_locations: 5
                active_location_ids:
                  - 101
                  - 102
                  - 103
                  - 104
                  - 105
                retry_after_seconds: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````